#ifndef RELAYSETTINGSDIALOG_H
#define RELAYSETTINGSDIALOG_H

#include <QDialog>
#include <QSettings>
#include <memory>
#include "../items/relay.h"

namespace Ui
{
class ItemSettingsDialog;
}

class ItemSettingsDialog : public QDialog
{
	Q_OBJECT
	std::shared_ptr<Item> item_;
	QWidget* itemSpecificWidget_ = nullptr;

private:
	void loadActorList();
	QStringList getExistingGroups();

public:
	explicit ItemSettingsDialog(std::shared_ptr<Item> item, bool noGroup = false, QWidget *parent = nullptr);
	~ItemSettingsDialog();

private slots:

	void removeActor();
	void addActor();
	void editActor();
	void changeOverride();
	void changeGroup();

private:
	Ui::ItemSettingsDialog *ui;
};

#endif // RELAYSETTINGSDIALOG_H
